# Class HelpTasksPlugin

java.lang.Object
org.gradle.api.plugins.HelpTasksPlugin

All Implemented Interfaces:
  `Plugin<org.gradle.api.internal.project.ProjectInternal>`

@Incubating public class HelpTasksPlugin extends Object implements Plugin<org.gradle.api.internal.project.ProjectInternal>
Adds various reporting tasks that provide information about the project.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`COMPONENTS_TASK`
`static final String`
`DEPENDENCIES_TASK`
`static final String`
`DEPENDENCY_INSIGHT_TASK`
`static final String`
`DEPENDENT_COMPONENTS_TASK`
`static final String`
`HELP_GROUP`
`static final String`
`MODEL_TASK`
`static final String`
`PROPERTIES_TASK`

## Constructor Summary

Constructors
Constructor
Description
`HelpTasksPlugin()`

## Method Summary

Modifier and Type
Method
Description
`void`
`apply(org.gradle.api.internal.project.ProjectInternal project)`
Apply this plugin to the given target object.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### HELP_GROUP

public static final String HELP_GROUP

See Also:
  - Constant Field Values

### PROPERTIES_TASK

public static final String PROPERTIES_TASK

See Also:
  - Constant Field Values

### DEPENDENCIES_TASK

public static final String DEPENDENCIES_TASK

See Also:
  - Constant Field Values

### DEPENDENCY_INSIGHT_TASK

public static final String DEPENDENCY_INSIGHT_TASK

See Also:
  - Constant Field Values

### COMPONENTS_TASK

public static final String COMPONENTS_TASK

See Also:
  - Constant Field Values

### MODEL_TASK

public static final String MODEL_TASK

See Also:
  - Constant Field Values

### DEPENDENT_COMPONENTS_TASK

public static final String DEPENDENT_COMPONENTS_TASK

See Also:
  - Constant Field Values

## Constructor Details

### HelpTasksPlugin

public HelpTasksPlugin()

## Method Details

### apply

public void apply(org.gradle.api.internal.project.ProjectInternal project)
Description copied from interface: `Plugin`
Apply this plugin to the given target object.

Specified by:
  `apply` in interface `Plugin<org.gradle.api.internal.project.ProjectInternal>`
Parameters:
  `project` - The target object